Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1270556 - Failed boot with kernel 4.1.8 and 4.1.10 though 4.1.7 succeeds
Summary: Failed boot with kernel 4.1.8 and 4.1.10 though 4.1.7 succeeds
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-11 05:16 UTC by Dov Grobgeld
Modified: 2015-11-10 16:47 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-10 16:47:12 UTC
Type: Bug


Attachments (Terms of Use)
rdsosreport.txt after failed boot (85.03 KB, text/plain)
2015-10-11 05:16 UTC, Dov Grobgeld
no flags Details

Description Dov Grobgeld 2015-10-11 05:16:10 UTC
Created attachment 1081760 [details]
rdsosreport.txt after failed boot

Description of problem:

After updating the system with `dnf -y update` cannot boot with the new kernel. Must choose old kernel 4.1.7 to successfully boot the system.

Version-Release number of selected component (if applicable):

kernel version 4.1.10

How reproducible:

Every time

Steps to Reproduce:
1. Turn on computer
2. Choose kernel version 4.1.10 in grub menu
3. Boot

Actual results:

I'm thrown into the dracut shell.

Expected results:

Normal boot.

Additional info:

See attached rdsosreport.txt file rescued from the dracut shell after failure.

Comment 1 Josh Boyer 2015-10-15 12:58:51 UTC
For some reason your command line is telling dracut to use root=/dev/mapper/fedora_dhcppc7-root , however that device doesn't exist.  LVM finds /dev/myvg/root though:

[  125.682383] grower dracut-initqueue[280]: Scanning devices sda2  for LVM logical volumes myvg/swap myvg/root
[  125.693719] grower dracut-initqueue[280]: ACTIVE '/dev/myvg/swap' [10.76 GiB] inherit
[  125.694017] grower dracut-initqueue[280]: inactive '/dev/myvg/home' [200.00 GiB] inherit
[  125.694290] grower dracut-initqueue[280]: ACTIVE '/dev/myvg/root' [50.00 GiB] inherit
[  125.694475] grower dracut-initqueue[280]: inactive '/dev/myvg/space' [1.56 TiB] inherit
[  125.698550] grower dracut-initqueue[280]: PARTIAL MODE. Incomplete logical volumes will be processed.
[  125.709128] grower dracut-initqueue[280]: PARTIAL MODE. Incomplete logical volumes will be processed.
[  186.166662] grower dracut-initqueue[280]: Warning: Could not boot.
[  186.185091] grower systemd[1]: Received SIGRTMIN+20 from PID 282 (plymouthd).
[  186.190531] grower dracut-initqueue[280]: Warning: /dev/mapper/fedora_dhcppc7-root does not exist

What does your kernel command line for 4.1.7 look like?  When you boot into that, can you show the output of the 'mount' command, and 'lvm pvdisplay, lvm vgdisplay, lvm lvdisplay'?

Comment 2 Dov Grobgeld 2015-11-04 06:29:27 UTC
I found the problem. I had (as you can see) renamed the lvm volumes from fedora_dhcppc7-* to myvg-* and had updated the grub boot line accordingly. But when I installed a new kernel (trhough dnf update) a new grub boot line was automatically installed (by what unit?) and that line still referenced the original convention. After manually fixing the grub boot line for the new kernel, everything worked as it should. So what remains for me is to figure to do this fix permenantly.

Thanks!


Note You need to log in before you can comment on or make changes to this bug.